Bug 8701 - Help for OpacHiddenItems pref should not point to text in install directory
Summary: Help for OpacHiddenItems pref should not point to text in install directory
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-29 13:14 UTC by Owen Leonard
Modified: 2019-04-26 13:43 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Proposed patch for Bug 8701 (4.63 KB, patch)
2012-10-08 14:34 UTC, Jane Sandberg
Details | Diff | Splinter Review
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page (3.82 KB, patch)
2019-03-16 12:24 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page (3.82 KB, patch)
2019-03-16 12:28 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page (3.90 KB, patch)
2019-04-15 22:19 UTC, Hayley Mapley
Details | Diff | Splinter Review
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page (3.96 KB, patch)
2019-04-17 10:14 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-08-29 13:14:58 UTC
The description for the OpacHiddenItems preference says to refer to "docs/opac/OpacHiddenItems.txt." We have help files included with Koha and a manual online. We should point the user to one of those resources instead of one which isn't web-accessible and which isn't translated.
Comment 1 Jane Sandberg 2012-10-07 21:34:21 UTC
Pull request on GitHub: https://github.com/Koha-Community/Koha/pull/1

Replaced all references to docs/opac/OpacHiddenItems.txt to refer to online documentation.  In most cases, this was the English documentation (http://manual.koha-community.org/3.8/en/administration.html#OpacHiddenItems), but referred to French documentation (http://manual.koha-community.org/3.8/fr/opacprefs.html#OpacHiddenItems) in the fa-Arab, fr-FR, and sq-AL files.

In addition to the ~60 .po files, there were three more files that I changed:
 *installer/data/mysql/updatedatabase.pl
 *installer/data/mysql/sysprefs.sql
 *koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref

P.S. Sorry for taking your bug... :-(
Comment 2 Chris Cormack 2012-10-07 22:13:40 UTC
Hi Jane

Thanks heaps for your work, however, you shouldn't change the .po files, they are automatically generated, and then translated at http://translate.koha-community.org

If you could rebase your commit, and remove the changes to the .po files (just the 3 other files are all that are needed to be changed). 
Then if you attach that here as a patch, it can go to needs signoff, and another developer can sign off on it.

Thanks again

Chris
Comment 3 Jane Sandberg 2012-10-08 14:34:05 UTC
Created attachment 12733 [details] [review]
Proposed patch for Bug 8701
Comment 4 Jane Sandberg 2012-10-08 14:35:12 UTC
Hi Chris

Thanks for your guidance.  Here is the bug fix without the .po files -- just the 3 files that needed to be changed.  I've attached a patch; let me know if the patch is not as it should be.  Sorry, I'm new to all of this -- thanks for your understanding. :-)

   -Jane

(In reply to comment #2)
> Hi Jane
> 
> Thanks heaps for your work, however, you shouldn't change the .po files,
> they are automatically generated, and then translated at
> http://translate.koha-community.org
> 
> If you could rebase your commit, and remove the changes to the .po files
> (just the 3 other files are all that are needed to be changed). 
> Then if you attach that here as a patch, it can go to needs signoff, and
> another developer can sign off on it.
> 
> Thanks again
> 
> Chris
Comment 5 Chris Cormack 2012-10-08 19:01:55 UTC
Hi Jane

You are doing great, just a few issues now, by changing the old updatedatabase.pl statement, this will mean this change will not be made to anyone upgrading from any version later than 3.4.0.

So we might have to add another update stanza to change the value for those who have already updated?

Also, while I would be willing to push this for 3.8.x (with the above change) for 3.10 it should probably point to the 3.10 .. manual .. and then for 3.12 etc.

So this will need to be updated each feature release, I wonder if we can figure out a better way. But for 3.8.x im happy to push this (once it updates for upgrades also).

Thanks so much for working on this, we really appreciate any time anyone can spend bug fixing.
Comment 6 Mirko Tietgen 2012-10-19 00:20:29 UTC
Hi Jane,

thanks a lot for working on this. Changing the bug status to "in discussion" for now as it needs another database update as Chris explained. If you have any questions feel free to ask :)
Comment 7 Katrin Fischer 2019-03-16 12:24:52 UTC
Created attachment 86704 [details] [review]
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page

Removes the OpacHiddenItems.txt file from Koha as this is not
accessible for most people and replaces it with links to the wiki
page like it's already done from the system preference editor.

For reporting and the initial patch
Thanks-to: Jane Sandberg <sandbej@linnbenton.edu>

To test:
- Changes are invisible from the GUI
- Apply patch and run database update
- SELECT * FROM systempreferences WHERE variable = "OpacHiddenItems";
- Verify the description has the wiki link
- Verify that docs/opac/OpacHiddenItems.txt has been removed
Comment 8 Katrin Fischer 2019-03-16 12:28:05 UTC
Created attachment 86705 [details] [review]
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page

Removes the OpacHiddenItems.txt file from Koha as this is not
accessible for most people and replaces it with links to the wiki
page like it's already done from the system preference editor.

For reporting and the initial patch
Thanks-to: Jane Sandberg <sandbej@linnbenton.edu>

To test:
- Changes are invisible from the GUI
- Apply patch and run database update
- SELECT * FROM systempreferences WHERE variable = "OpacHiddenItems";
- Verify the description has the wiki link
- Verify that docs/opac/OpacHiddenItems.txt has been removed
Comment 9 Katrin Fischer 2019-03-16 12:28:18 UTC
The system preference text has been fixed, there are only some occurences in dev type documentation now.
Comment 10 Hayley Mapley 2019-04-15 02:27:33 UTC
(In reply to Katrin Fischer from comment #9)
> The system preference text has been fixed, there are only some occurences in
> dev type documentation now.

Hi Katrin,

Should both patches be applied here? I have merge conflicts if that's the case.

Applying: Bug 8701 - Help for OpacHiddenItems pref should not point to text in install directory
Using index info to reconstruct a base tree...
M	installer/data/mysql/sysprefs.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/opac.pref
Auto-merging installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
error: Failed to merge in the changes.
Patch failed at 0001 Bug 8701 - Help for OpacHiddenItems pref should not point to text in install directory

Or should I only apply your patch?
Comment 11 Katrin Fischer 2019-04-15 05:39:10 UTC
Sorry, I forgot that git bz would not obsolete the first patch automatically because I had changed the subject line :)
Comment 12 Hayley Mapley 2019-04-15 22:19:06 UTC
Created attachment 88037 [details] [review]
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page

Removes the OpacHiddenItems.txt file from Koha as this is not
accessible for most people and replaces it with links to the wiki
page like it's already done from the system preference editor.

For reporting and the initial patch
Thanks-to: Jane Sandberg <sandbej@linnbenton.edu>

To test:
- Changes are invisible from the GUI
- Apply patch and run database update
- SELECT * FROM systempreferences WHERE variable = "OpacHiddenItems";
- Verify the description has the wiki link
- Verify that docs/opac/OpacHiddenItems.txt has been removed

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>
Comment 13 Josef Moravec 2019-04-17 10:14:37 UTC
Created attachment 88160 [details] [review]
Bug 8701: Remove links to OpacHiddenItems.txt in favor of wiki page

Removes the OpacHiddenItems.txt file from Koha as this is not
accessible for most people and replaces it with links to the wiki
page like it's already done from the system preference editor.

For reporting and the initial patch
Thanks-to: Jane Sandberg <sandbej@linnbenton.edu>

To test:
- Changes are invisible from the GUI
- Apply patch and run database update
- SELECT * FROM systempreferences WHERE variable = "OpacHiddenItems";
- Verify the description has the wiki link
- Verify that docs/opac/OpacHiddenItems.txt has been removed

Signed-off-by: Hayley Mapley <hayleymapley@catalyst.net.nz>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 14 Nick Clemens 2019-04-18 12:09:25 UTC
Awesome work all!

Pushed to master for 19.05
Comment 15 Martin Renvoize 2019-04-26 13:43:49 UTC
Minor enhancement will not be backported to 18.11.x series.